<div class="row margin-row">
    <div class="col-md-12" style="overflow:auto">
        <div class="pull-right">
            <div style="margin-bottom: 10px;">
                <button pButton type="button" class="ui-button-primary btn-sm" label="ADD" (click)="addNewData()"></button>
                </button>
            </div>
        </div>
    </div>
</div>
<p-dataTable [value]="vehicleDocumentRequirements" [editable]="true" [rows]="itemsPerPage" [paginator]="true" [pageLinks]="5" [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems" [responsive]="true" [lazy]="true" dataKey="idRequirement" expandableRows="false"
    (onLazyLoad)="loadDataLazy($event)" (onEditComplete)="updateRowData($event)" [(selection)]="selected">
    <p-header>
        <div class="row"></div>
    </p-header>
    <p-column selectionMode="multiple" [style]="{'width':'38px'}"></p-column>
    <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
    <p-column header="{{'mpmApp.vehicleDocumentRequirement.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
        <ng-template let-rowIndex="rowIndex" pTemplate="body">
            {{rowIndex + 1}}
        </ng-template>
    </p-column>
    <p-column header="No. Rangka">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.vehicle.idFrame}}
        </ng-template>
    </p-column>
    <p-column header="No. Mesin">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.vehicle.idMachine}}
        </ng-template>
    </p-column>
    <p-column header="No. Faktur">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.fakturATPM}}
        </ng-template>
    </p-column>
    <p-column header="Tgl. Faktur">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.fakturDate | date:'dd-MM-yyyy'}}
        </ng-template>
    </p-column>
    <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
    </ng-template>
</p-dataTable>
<div class="btn-filter-wrapper pull-right">
    <button (click)="showCancelModal()" [disabled]="selected?.length == 0" type="button" class="btn btn-primary btn-filter">
            <span>Cancel</span>
    </button>
    <button (click)="saveUploadFaktur()" [disabled]="selected?.length == 0" type="button" class="btn btn-primary btn-filter">
		<span>Receive</span>
	</button>
</div>

<p-dialog header="Konfirmasi" [(visible)]="newModal" modal="true" [width]="700">
    <div class="row">
        <div class="col-sm-12">
            <div class="form-group">
                <label class="form-control-label mandatory" for="noRangka">Nomor Rangka</label>
                <input type="text" class="form-control" name="noRangka" id="field_noRangka" [(ngModel)]="addVehicleDocumentRequirements.vehicle.idFrame" />
            </div>

            <button type="button" pButton icon="fa-close" (click)="searchvehicle()" label="Search"></button>
            <div *ngIf="addVehicleDocumentRequirements.vehicle.idMachine == null">
                <label>Data Tidak Ditemukan</label>
            </div>
            <div *ngIf="addVehicleDocumentRequirements.vehicle.idMachine && addVehicleDocumentRequirements.vehicle.idFrame">
                <div class="form-group">
                    <label for="noMesin">Nomor Mesin</label>
                    <input type="text" class="form-control" name="noMesin" id="field_noMesin" [(ngModel)]="addVehicleDocumentRequirements.vehicle.idMachine"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label mandatory" for="noFaktur">Nomor Faktur</label>
                    <input type="text" class="form-control" name="noFaktur" id="field_noFaktur" [(ngModel)]="addVehicleDocumentRequirements.fakturATPM" />
                </div>
                <div class="form-group">
                    <label class="form-control-label mandatory" for="noRangka">Tanggal Faktur</label>
                    <div class="input-group input-calendar">
                        <p-calendar class="size-calendar" showTime="true" hourFormat="24" [showIcon]="true" [(ngModel)]="addVehicleDocumentRequirements.fakturDate"></p-calendar> <span style="margin-left:35px"></span>
                    </div>
                </div>

                <div class="btn-filter-wrapper pull-right">
                    <button type="button" pButton icon="fa-close" (click)="newModal=false" label="Cancel"></button>
                    <button type="button" pButton icon="fa-check" (click)="saveFaktur()" label="Submit"></button>
                </div>
            </div>
        </div>
    </div>
</p-dialog>

<p-dialog header="Alasan Revisi" [(visible)]="cancelModal" modal="true" [width]="700">
        <div class="row">
            <div class="col-sm-12">
                <form name="editForm" role="form" novalidate (ngSubmit)="doCancel(note)" #editForm="ngForm">
                    <!-- <input type="hidden" class="form-control" id="idRequirement" name="idRequirement" [(ngModel)]="vehicleDocumentRequirement.idRequirement" /> -->
    
                    <div class="col-sm-12">
                        <label class="form-control-label ui-g-6">Note</label>
                        <label class="form-control-label ui-g-6">
                            <textarea class="form-control" name="note" [(ngModel)]="note"></textarea>
                        </label>
                    </div>
    
                    <button class="btn btn-primary" type="submit">Submit</button>
                </form>
            </div>
        </div>
    </p-dialog>

<!-- <p-confirmDialog></p-confirmDialog> -->